Summary: Firefox extension that enables to report broken/working extensions
Name: firefox-ext-add-on-compatibility-reporter
Version: 1.0.2
Release: %mkrel 1
License: MPL
Group:	Networking/WWW
URL:	https://addons.mozilla.org/en-US/firefox/addon/add-on-compatibility-reporter
Source: http://releases.mozilla.org/pub/mozilla.org/addons/15003/add_on_compatibility_reporter-%{version}-fx+fn+tb+sm-linux.xpi
BuildRequires: firefox-devel
BuildRequires: zip
Buildarch: noarch

Requires: firefox => %{firefox_epoch}:%{firefox_version}

%description
Help Mozilla make sure your favorite add-ons get updated for upcoming Firefox
releases by using this extension to report whether they still work or are
having some issues with alpha and beta releases.

%prep
%setup -q -c -n %{name}-%{version}

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{firefox_extdir}

hash="$(sed -n '/.*em:id="\(.*\)"/{s//\1/p;q}' install.rdf)"
if [ -z "$hash" ]; then
    hash="$(sed -n '/.*em:id>\(.*\)<\/em:id>.*/{s//\1/p;q}' install.rdf)"
fi
if [ -z "$hash" ]; then
    echo "Failed to find plugin hash."
    exit 1
fi
extdir="%{firefox_extdir}/"
mkdir -p "%{buildroot}$extdir"
cp -af %SOURCE0 "%{buildroot}$extdir/$hash.xpi"

# fix max supported version:
perl -pi -e 's!8.0a1!9.0a1!' install.rdf
zip -9 "%{buildroot}$extdir/$hash.xpi" install.rdf

%clean
rm -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%{firefox_extdir}



%changelog

* Fri Jan 06 2012 fwang <fwang> 1.0.2-1.mga2
+ Revision: 192495
- new version 1.0.2

* Sun Nov 06 2011 fwang <fwang> 0.9.2-1.mga2
+ Revision: 164151
- new verison 0.9.2

  + tv <tv>
    - new release
    - imported package firefox-ext-add-on-compatibility-reporter

